package com.zipcodewilmington.gildedrose;


public class Inventory {
    private Item[] items;

    public Inventory(Item[] items) {
        super();
        this.items = items;
    }

    public void updateQuality() {
        for (int i = 0; i < items.length; i++) {
            String name = items[i].getName();
            int quality = items[i].getQuality();
            if(!name.equals("Sulfuras, Hand of Ragnaros")) {
                switch (name) {
                    case "Conjured":
                        items[i].setQuality(quality - 2);
                        break;
                    case "Backstage passes to a TAFKAL80ETC concert":
                        items[i].setQuality(items[i].getQuality() + 1);
                        if (items[i].getSellIn() < 0) {
                            items[i].setQuality(0);
                        } else if (items[i].getSellIn() < 6 && quality < 50) {
                            items[i].setQuality(items[i].getQuality() + 2);
                        } else if (items[i].getSellIn() < 11 && quality < 50) {
                            items[i].setQuality(items[i].getQuality() + 1);
                        }
                        break;
                    case "Aged Brie":
                        if (quality < 50){
                            items[i].setQuality(items[i].getQuality() + 1);
                            if (items[i].getSellIn() < 0) {
                                items[i].setQuality(items[i].getQuality() + 1);
                            }
                        }
                        break;
                    default:
                        if (quality < 50) {
                            items[i].setQuality(items[i].getQuality() - 1);
                        }
                        break;
                }
            }
            items[i].setSellIn(items[i].getSellIn() - 1);
        }
    }
}